> For the complete documentation index, see [llms.txt](https://docs.currents.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.currents.dev/getting-started/other-frameworks/vitest/troubleshooting.md).

# Troubleshooting Vitest

Troubleshooting Vitest integration with Currents

If you are experiencing issues with reporting Vitest results, please collect more information about the failure and submit a support request via our [support channels.](https://docs.currents.dev/resources/support.md)

### 1. Collecting Environment Information

Please collect the following information to help us effectively debug the problem:

* The associated dashboard Run URL
* The JUnit XML file produced by Vitest
* Your setup method and configuration files
* The exact commands used to run `vitest` and `currents run upload`
* Environment information (use the command below)

Use the following command to print information about your CI environment

```bash
npx envinfo --system --binaries --browsers --npmPackages --duplicates --npmGlobalPackages
```

### 2. Activate Debug Mode

Pass `--debug` to `currents run upload`, or set `CURRENTS_DEBUG=true`, to print detailed information about the conversion and upload process.

### 3. Common Issues

For a run that doesn't show up in Currents, see [Broken mention](broken://pages/tmMOR5TTzl5pTaVJbOSN).

For more details on how to troubleshoot Vitest tests, refer to [their documentation](https://vitest.dev/guide/debugging).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.currents.dev/getting-started/other-frameworks/vitest/troubleshooting.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
